Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0043137
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2020-02-06 18:222020-06-19 11:41
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in VersionPR20Q3
StatusclosedFix in branchFixed in SCM revision1c1ba90c4ba5
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0043137: oracle jdbc driver needs to be updated to support Oracle 19c

DescriptionThe jdbc driver version in lib/runtime/ojdbc6.jar does now allow to connect to Oracle 19c but fails with:

     [java] 720 [main] ERROR org.openbravo.database.ConnectionProviderImpl - Error getting connection
     [java] java.sql.SQLException: ORA-28040: No matching authentication protocol

Quick check replacing that jdbc driver version with the ones shipped in 19C 19.3.0 oracle version solves that issue.

For quick test that jdbc jar can be found in oracle install at:
app/oracle/product/19.0.0/dbhome_1/jdbc/lib/ojdbc8.jar

Steps To ReproduceTry running i.e. create.database (or even trl.lib) command against oracle 19c database server.
Proposed SolutionUpdate jdbc driver to newer version while checking if it is still compatible with older releases supported by Openbravo (11.2 and 12.x)
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks feature request 0043136 closedshuehner support Oracle 19c 
causes defect 0044726 closedplatform jdbc connection to Oracle 11 sometimes fails 

-  Notes
(0120320)
hgbot (developer)
2020-05-27 08:15

Repository: erp/devel/pi
Changeset: 1c1ba90c4ba50e17f61de532c2f5d94d1ae18a78
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Tue Feb 11 12:03:32 2020 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/1c1ba90c4ba50e17f61de532c2f5d94d1ae18a78 [^]

fixed ISSUE-43137: updated Oracle jdbc to 19.3.0.0

Maven artifact:
    -groupId: com.oracle.ojdbc
    -artifactId: ojdbc8
    -version: 19.3.0.0

---
M build.xml
M legal/Licensing.txt
M legal/OTN_license.txt
A lib/runtime/ojdbc8-19.3.0.0.jar
R lib/runtime/ojdbc6.jar
---
(0120323)
alostale (developer)
2020-05-27 08:41

updated from 11.2.0.2.0 to 19.3.0.0
(0120449)
caristu (developer)
2020-05-29 08:51

Reviewed

MR: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/43 [^]
(0120923)
hgbot (developer)
2020-06-19 11:41

Repository: tools/automation/pi-mobile
Changeset: 4ce8dfed86f96817045d31e462d5cbc9eb4a3c27
Author: Cristian Berner <cristian.berner <at> openbravo.com>
Date: Wed Jun 17 10:17:33 2020 +0200
URL: http://code.openbravo.com/tools/automation/pi-mobile/rev/4ce8dfed86f96817045d31e462d5cbc9eb4a3c27 [^]

Relate to ISSUE-43137: Update ojdbc to support Oracle19

ojdbc6 has been updated to ojdbc8 and oracle-default.jar symlink now is
linked to this new library

---
M lib/runtime/oracle-default.jar
A lib/runtime/choosables/ojdbc8-19.3.0.0.jar
R lib/runtime/choosables/ojdbc6.jar
---

- Issue History
Date Modified Username Field Change
2020-02-06 18:22 shuehner New Issue
2020-02-06 18:22 shuehner Assigned To => platform
2020-02-06 18:22 shuehner Modules => Core
2020-02-06 18:22 shuehner Triggers an Emergency Pack => No
2020-02-06 18:22 shuehner Relationship added blocks 0043136
2020-05-27 07:59 alostale Assigned To platform => alostale
2020-05-27 08:15 hgbot Checkin
2020-05-27 08:15 hgbot Note Added: 0120320
2020-05-27 08:15 hgbot Status new => resolved
2020-05-27 08:15 hgbot Resolution open => fixed
2020-05-27 08:15 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/1c1ba90c4ba50e17f61de532c2f5d94d1ae18a78 [^]
2020-05-27 08:41 alostale Review Assigned To => caristu
2020-05-27 08:41 alostale Note Added: 0120323
2020-05-29 08:51 caristu Note Added: 0120449
2020-05-29 08:51 caristu Status resolved => closed
2020-05-29 08:51 caristu Fixed in Version => 3.0PR20Q3
2020-06-19 11:41 hgbot Checkin
2020-06-19 11:41 hgbot Note Added: 0120923
2020-07-30 15:06 shuehner Relationship added causes 0044726


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker